# Welcome

**Please note this is an early release of our API and should be considered to be in beta at the moment.**

This is the official documentation for the Gitter API. The API documentation source is [available on GitLab](https://gitlab.com/gitterHQ/docs).

If you have any problems or questions, contact us at [support@gitter.im](mailto:support@gitter.im) or join the conversation at:

[![Gitter](https://badges.gitter.im/gitterHQ/developers.svg)](https://gitter.im/gitterHQ/developers?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge)

## Getting Started

If you haven't already, please sign in. This will create a developer token, which you can easily use to test the API. Once you've signed in, you can also create Apps where you'll be provided with keys and secrets. For more information on this, please take a look at the [Authentication documentation](authentication).

## REST API

Interact with rooms, users and messages in a restful way.

[Documentation](rest-api)

## Streaming API

A simple way to listen to messages in rooms in real-time.

[Documentation](streaming-api)

## Faye

Listen to detailed activity in real-time.

[Documentation](faye-endpoint)

## Services

The things that power your Gitter activity feed. These are open source and can be found on [GitLab](https://gitlab.com/gitterHQ/services).

[Documentation](services)

## Activity API

The ability to write to the Activity feed will be coming soon in an open source format.

## 3rd Party API Wrappers

There are also third party wrappers created by our awesome users, that allow you to interface with the Gitter API in a variety of environments.

[List of packages](third-party-api-wrappers)
